package cn.sikey.hmd.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: nelson
 * @Date: 2025/7/10
 * @Description: 支付配置
 */
@Configuration
public class PaymentPathConfig {

    @Bean
    @ConditionalOnProperty(name = "payment.path.type", havingValue = "DEFAULT", matchIfMissing = true)
    public String defaultPaymentPath() {
        return "/h5/hmd/payment/index?path=index&imei=";
    }

    @Bean
    @ConditionalOnProperty(name = "payment.path.type", havingValue = "RAZORPAY")
    public String razorpayPaymentPath() {
        return "/h5/hmd/payment/razorpayIndex?path=razorpayIndex&imei=";
    }

}

